# eric4.QScintilla.Lexers.LexerFortran

Module implementing a Fortran lexer with some additional methods.

### Global Attributes

None

### Classes

LexerFortran | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerFortran

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerFortran, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerFortran | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerFortran (Constructor)

LexerFortran(parent = None)

Constructor

parent
  parent widget of this lexer

#### LexerFortran.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (QStringList)

#### LexerFortran.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerFortran.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerFortran.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up